Last Comment Bug 765466 - Implement click-to-play plugins management for feed messages
: Implement click-to-play plugins management for feed messages
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: MailNews: Message Display (show other bugs)
: Trunk
: All All
: -- enhancement (vote)
: ---
Assigned To: neil@parkwaycc.co.uk
:
Mentors:
Depends on: 633937 743312 747519
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-16 01:26 PDT by Jens Hatlak (:InvisibleSmiley)
Modified: 2012-07-03 14:11 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Proposed patch (3.99 KB, patch)
2012-06-26 06:48 PDT, neil@parkwaycc.co.uk
mnyromyr: review+
jh: feedback+
Details | Diff | Splinter Review

Description Jens Hatlak (:InvisibleSmiley) 2012-06-16 01:26:17 PDT
Bug 743312 and bug 747519 implemented click-to-play plugins management for the browser (plugin area click handler plus UI in the form of doorhanger or notification bar). MailNews needs similar support for feed messages, too so you can choose to allow plugins temporarily or permanently for a certain site.

Since we have no doorhangers in MailNews, providing notification bars should be enough (in addition to the plugin area click handler).

If full management UI is considered too much for MailNews (one can always use the browser or Data Manager for these tasks), we should at least implement the plugin area click handler to temporarily enable individual plugin instances.
Comment 1 neil@parkwaycc.co.uk 2012-06-16 02:19:17 PDT
This should just be a case of adding a <notificationbox> to the appropriate windows, which should then do the rest automagically.
Comment 2 Jens Hatlak (:InvisibleSmiley) 2012-06-16 02:50:45 PDT
(In reply to neil@parkwaycc.co.uk from comment #1)
> This should just be a case of adding a <notificationbox> to the appropriate
> windows, which should then do the rest automagically.

Even if that worked: As I said, MailNews has no doorhangers, to it would only work if you had doorhangers disabled (or did you talk about the plugin area click handler?).
Comment 3 Philip Chee 2012-06-16 09:11:14 PDT
Well I'd hang on for a while. Once ewong's notificationbox patch for Thunderbird lands and he ports that to SeaMonkey adding click-to-play notifictions should be easier.
TB Bug 562048
SM Bug 633937
Comment 4 neil@parkwaycc.co.uk 2012-06-16 12:51:09 PDT
(In reply to Jens Hatlak from comment #2)
> (In reply to comment #1)
> > This should just be a case of adding a <notificationbox> to the appropriate
> > windows, which should then do the rest automagically.
> 
> Even if that worked: As I said, MailNews has no doorhangers, to it would
> only work if you had doorhangers disabled (or did you talk about the plugin
> area click handler?).

Don't worry, <notificationbox> is way cleverer than that. While navigator.js turns on doorhanger support for the tabbrowser, other notificationboxes don't even know that doorhangers are enabled.

(In reply to Philip Chee from comment #3)
> Well I'd hang on for a while. Once ewong's notificationbox patch for
> Thunderbird lands and he ports that to SeaMonkey adding click-to-play
> notifications should be easier.
> TB Bug 562048
> SM Bug 633937

Sure, but we may need to backport the click-to-play plugins management to aurora.
Comment 5 neil@parkwaycc.co.uk 2012-06-26 06:48:43 PDT
Created attachment 636688 [details] [diff] [review]
Proposed patch

Obviously the msgNotificationBar deck will go away at some point.

Anyone got any good ideas as to what to do about those long lines?
Comment 6 Jens Hatlak (:InvisibleSmiley) 2012-06-26 14:04:45 PDT
Comment on attachment 636688 [details] [diff] [review]
Proposed patch

Tested MailNews main and standalone windows, single plugin activation through single clicking a plugin instance, Activate Plugins and Remember Choice (or whatever it's called) from the notification bar (in MailNews, got a doorhanger in the browser as expected without changing a pref). All working fine, f=me. Thanks!

(In reply to neil@parkwaycc.co.uk from comment #5)
> Anyone got any good ideas as to what to do about those long lines?

Don't know what you mean, but I guess I'm less picky.
Comment 7 Karsten Düsterloh 2012-07-03 13:46:42 PDT
Comment on attachment 636688 [details] [diff] [review]
Proposed patch

(In reply to neil@parkwaycc.co.uk from comment #5)
> Anyone got any good ideas as to what to do about those long lines?

Leave them as is. The 80 columns limit is a bit overrated these days. ;-)
Comment 8 neil@parkwaycc.co.uk 2012-07-03 14:11:17 PDT
Pushed comm-central changeset 0eb2a5d6ba93.

Note You need to log in before you can comment on or make changes to this bug.